#include "Salamander.h"
#include "SDLHack.h"

#include "SDLInclude.h"

SDLHack::SDLHack()
{
	
}

SDLHack::~SDLHack()
{
	
}

void SDLHack::setCaption(std::string caption)
{
	SDL_WM_SetCaption(caption.c_str(), "");
}

void SDLHack::setCamera(Vec2& translation)
{
	glMatrixMode(GL_PROJECTION);
    glLoadIdentity();
	Vec2 tl = translation - screen().getResolution() * 0.5;
	Vec2 r = screen().getResolution();
    glOrtho(tl.x_, r.x_ + tl.x_, r.y_ + tl.y_, tl.y_, -1, 1);
}